Get Rankings
curl --request GET \
--url https://api.heybee.app/v1/experiments/{experiment_id}/rankings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/rankings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/rankings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rankings": [
{
"anchor_value": "<string>",
"comparisons": 123,
"elo_rank": 123,
"elo_rating": 123,
"losses": 123,
"parameters": {},
"sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"win_rate": 123,
"wins": 123,
"bt_ci_lower": 123,
"bt_ci_upper": 123,
"bt_rank": 123,
"bt_strength": 123
}
],
"total": 123,
"anchor_value": "<string>",
"axis_key": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"ordering_policy": "elo_fallback"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Analytics
Get Rankings
Get sample rankings for an experiment.
GET
/
v1
/
experiments
/
{experiment_id}
/
rankings
Get Rankings
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Required string length:
1 - 64Response
Successful Response
List of rankings for an experiment.
Show child attributes
Show child attributes
If filtered by anchor, the anchor value
Explicit criterion used for this ranking; null means combined/default behavior
Ranking metric used for the returned row order

